IR.AddListener(IR.EVENT_START, 0, function()  // Actions are performed at start
{
	// receipt of projects count
	var l_iCount = IR.GetDesignsCount();
	var list = IR.GetItem("Page 1").GetItem("Item 1");
	// count of all projects
	for(var i = 0; i < l_iCount; i++)
	{
		var l_sName = IR.GetDesignByIndex(i);
		var item = list.AddItem("Popup 1", {
			Name: {
				Text: l_sName.OriginalName
			}
		});
		item.SetData({name: l_sName.OriginalName, id: l_sName.CloudID})
		item.SetReleaseAction(function(in_item, in_subItem){
			var name = in_item.Data.name;
			var id = in_item.Data.id;
			IR.DesignSwitch(name, id);
		});
	}
});

